package com.sw.mes.itemclean.clean.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.core.dto.erp.ErpOrderDto;
import com.sw.mes.core.response.Result;
import com.sw.mes.itemclean.clean.domain.MaterialPlanOrder;

import java.util.List;


/**
 * Created by author on 2023-05-18
 */
public interface MaterialPlanOrderService extends IService<MaterialPlanOrder> {


    List<MaterialPlanOrder> getList();

    MaterialPlanOrder getById(Integer id);

    MaterialPlanOrder insert(MaterialPlanOrder materialPlanOrder);

    void delete(Integer id);

    void update(MaterialPlanOrder materialPlanOrder);

    void activeUpdate(MaterialPlanOrder materialPlanOrder);

    MaterialPlanOrder findByAufnr(String aufnr);

    List<MaterialPlanOrder> findByMatnr(String matnr);

    Result handleErpOrder(List<ErpOrderDto> xlErpOrderDto);
}